Bug 1309 - [PATCH] Possible memory leak
[PATCH] Possible memory leak
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
unspecified
All All
: P2 minor
Assigned To: Igor Sukhih
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-19 10:58 EDT by Slava Semushin
Modified: 2015-04-01 14:42 EDT (History)
1 user (show)

See Also:


Attachments
Proposal fix (1.47 KB, patch)
2009-07-19 10:58 EDT, Slava Semushin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Slava Semushin 2009-07-19 10:58:55 EDT
Created attachment 1025 [details]
Proposal fix

Hello!

cppcheck found memory leak in src/vzcfgscale.c:

[./src/vzcfgscale.c:311]: (possible error) Memory leak: in_file

I have patch with fix.
Comment 1 Kir Kolyshkin 2009-09-30 09:31:25 EDT
Committed to git:
http://git.openvz.org/?p=vzctl;a=commit;h=0af66d40d67d597ffe082682393ea14717c70da0

Will appear in vzctl >= 3.0.24
Comment 2 Sergey Bronnikov 2015-04-01 14:42:44 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.